% This script is a Monte-Carlo Simulation of the Cranberry Sauce Problem on
% Riddler Classic, November 20, 2020.
% https://fivethirtyeight.com/features/can-you-pass-the-cranberry-sauce/
close all;
clear;
clc;

%% Start of Simuation
simCount = 1e6; % Number of Trials
lastPersonCounter = zeros(20, 1); % 20 people at dinner

for k = 1:simCount
    lastPersonIdx = getLastPerson();
    lastPersonCounter(lastPersonIdx) = lastPersonCounter(lastPersonIdx) + 1;
end

%% Display in Histogram
figure;
bar(lastPersonCounter/simCount);
title('Normalized Bar Graph of Number of Times Each Person Last Received the Cran Sauce');
xlabel('Person');
ylabel('Fraction of Last Cransauce Received');